=== debian/changelog ===
tidy (20020301-1) unstable; urgency=low

  * New upstream version.
  * fix '--add-xml-decl yes --add-xml-space yes' crash bug
    thanks to  Cesar Eduardo Barros <cesarb@nitnet.com.br>
    and upstream.
    (closes: #137124)

 -- Jason Thomas <jason@debian.org>  Fri,  8 Mar 2002 10:58:30 +1100

tidy (20020202-1) unstable; urgency=low

  * New upstream version.
    (closes: #131908, #111026, #75554)
  * changed to apply and remove patches at build time

 -- Jason Thomas <jason@debian.org>  Mon,  4 Feb 2002 19:03:42 +1100

tidy (20000804-5) unstable; urgency=low

  * forgot to uncomment #define in platform.h which allows the use of
    ~/.tidyrc
    (closes: #105355)

 -- Jason Thomas <jason@debian.org>  Thu, 16 Aug 2001 17:12:11 +1000

tidy (20000804-4) unstable; urgency=low

  * removed mention of GPL from debian/copyright
    (closes: #106681)

 -- Jason Thomas <jason@debian.org>  Fri, 27 Jul 2001 10:41:49 +1000

tidy (20000804-3) unstable; urgency=low

  * New maintainer
  * Enabled default configuration file /etc/tidy.conf
    and added default configuration file /etc/tidy.conf
    and modified manpage to mention default configuration
    ( closes: #95218 )
  * configuration file supports '#' and '//' as comment.
  * changed to use dh_installman
  * remove debuging option from rules file, if anyone actually uses this let me
    know
  * changed to standards-version 3.5.5
  * changed the copyright file
  * changed debian rules file so it's more like the other packages I maintain.

 -- Jason Thomas <jason@debian.org>  Thu, 14 Jun 2001 15:16:19 +1000

tidy (20000804-2) unstable; urgency=low

  * Orphaning.
  * Moved to debhelper 3.
  * Conforms to Standards version 3.5.4.

 -- Matej Vela <vela@debian.org>  Wed,  2 May 2001 07:53:08 +0200

tidy (20000804-1) unstable; urgency=low

  * New upstream version.  Closes: Bug#79626.
  * Conforms to Standards version 3.2.1:
    * debian/rules: Supports `debug' and `nostrip' build options.
  * debian/control: No longer suggests lynx because it doesn't seem
    relevant.  (Feel free to contact me if you disagree.)

 -- Matej Vela <vela@debian.org>  Mon, 18 Dec 2000 04:25:16 +0100

tidy (20000430-1) unstable; urgency=low

  * New upstream version.
  * Overview.html: Link to tidy.c changed to point to copyright.
    Closes: Bug#63647.
  * debian/copyright: Updated.

 -- Matej Vela <vela@debian.org>  Sat,  6 May 2000 12:05:22 +0200

tidy (20000113-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Thu, 13 Jan 2000 19:15:52 +0100

tidy (20000112-1) unstable; urgency=low

  * New upstream version.
  * Makefile: Corrected the clean target.

 -- Matej Vela <vela@debian.org>  Thu, 13 Jan 2000 12:20:21 +0100

tidy (19991130-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 3.1.1.

 -- Matej Vela <vela@debian.org>  Wed,  1 Dec 1999 07:50:50 +0100

tidy (19991124-1) unstable; urgency=low

  * New upstream version.
  * Updated the manual page.
  * Conforms to Standards version 3.1.0:
    * debian/control: Added build dependancies.

 -- Matej Vela <vela@debian.org>  Thu, 25 Nov 1999 18:36:31 +0100

tidy (19991022-1) unstable; urgency=low

  * New upstream version.  Closes: Bug#47241.
  * Overview.html, release-notes.html: Removed references to grid.gif
    and tidy.gif which are no longer included in the pristine source.

 -- Matej Vela <vela@debian.org>  Sat, 23 Oct 1999 19:51:08 +0200

tidy (19990927-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Wed, 29 Sep 1999 20:06:12 +0200

tidy (19990726-3) unstable; urgency=low

  * New maintainer.
  * Wrote tidy(1).  Closes: Bug#41445.
  * Using `-O2 -g -Wall' for CFLAGS as mandated by Policy.
  * Added doc-base support.
  * Makefile: Corrected the clean target.

 -- Matej Vela <vela@debian.org>  Wed, 22 Sep 1999 12:38:30 +0200

tidy (19990726-2) unstable; urgency=low

  * Updated to Standards-Version: 3.0.1.1.

 -- Johnie Ingram <johnie@debian.org>  Sat, 18 Sep 1999 04:26:04 -0500

tidy (19990726-1) unstable; urgency=low

  * New upstream version, closes: #41114.
  * Corrected URL in copyright file, closes: #41102.
  * Updated to Standards-Version 3.0.1.0.

 -- Johnie Ingram <johnie@debian.org>  Thu,  5 Aug 1999 03:47:07 -0500

tidy (19990415-1) unstable; urgency=low

  * New upstream version, closes: #39020.

 -- Johnie Ingram <johnie@debian.org>  Wed,  9 Jun 1999 12:54:06 -0400

tidy (19981113-1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Fri, 11 Dec 1998 01:01:32 -0500

Local variables:
mode: debian-changelog
End:
